AbstractAspectjJpaTests (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.test.jpa

## Class AbstractAspectjJpaTests

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.springframework.test.ConditionalTestCase
      - - org.springframework.test.AbstractSpringContextTests
        - - org.springframework.test.AbstractSingleSpringContextTests
          - - org.springframework.test.AbstractDependencyInjectionSpringContextTests
            - - org.springframework.test.AbstractTransactionalSpringContextTests
              - - org.springframework.test.AbstractTransactionalDataSourceSpringContextTests
                - - org.springframework.test.annotation.AbstractAnnotationAwareTransactionalTests
                  - - org.springframework.test.jpa.AbstractJpaTests
                    - - org.springframework.test.jpa.AbstractAspectjJpaTests

- All Implemented Interfaces:
    junit.framework.Test

  Deprecated.
  as of Spring 3.0, in favor of using the listener-based test context framework (`AbstractJUnit38SpringContextTests`)

      @Deprecated
      public abstract class AbstractAspectjJpaTests
      extends AbstractJpaTests

  Subclass of `AbstractJpaTests` that activates AspectJ load-time weaving and allows for specifying a custom location for AspectJ's `aop.xml` file.
  Since:
    2.0
  Author:
    Rod Johnson, Juergen Hoeller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_AOP_XML_LOCATION` Deprecated. Default location of the `aop.xml` file in the class path: "META-INF/aop.xml"

    - ### Fields inherited from class org.springframework.test.jpa.AbstractJpaTests

      `entityManagerFactory, sharedEntityManager`

    - ### Fields inherited from class org.springframework.test.annotation.AbstractAnnotationAwareTransactionalTests

      `profileValueSource, simpleJdbcTemplate`

    - ### Fields inherited from class org.springframework.test.AbstractTransactionalDataSourceSpringContextTests

      `jdbcTemplate`

    - ### Fields inherited from class org.springframework.test.AbstractTransactionalSpringContextTests

      `transactionDefinition, transactionManager, transactionStatus`

    - ### Fields inherited from class org.springframework.test.AbstractDependencyInjectionSpringContextTests

      `AUTOWIRE_BY_NAME, AUTOWIRE_BY_TYPE, AUTOWIRE_NO`

    - ### Fields inherited from class org.springframework.test.AbstractSingleSpringContextTests

      `applicationContext`

    - ### Fields inherited from class org.springframework.test.ConditionalTestCase

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAspectjJpaTests()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `customizeResourceOverridingShadowingClassLoader(ClassLoader shadowingClassLoader)` Deprecated. Customize the shadowing class loader.
    `protected String` | `getActualAopXmlLocation()` Deprecated. Return the actual location of the `aop.xml` file in the class path.

    - ### Methods inherited from class org.springframework.test.jpa.AbstractJpaTests

      `cacheKeys, createContainerManagedEntityManager, createShadowingClassLoader, getActualOrmXmlLocation, runBare, setDirty, setEntityManagerFactory, shouldUseShadowLoader`

    - ### Methods inherited from class org.springframework.test.annotation.AbstractAnnotationAwareTransactionalTests

      `findUniqueProfileValueSourceFromContext, getTestMethod, isDisabledInThisEnvironment, isRollback, setDataSource`

    - ### Methods inherited from class org.springframework.test.AbstractTransactionalDataSourceSpringContextTests

      `countRowsInTable, deleteFromTables, executeSqlScript, getJdbcTemplate, setComplete, setSqlScriptEncoding`

    - ### Methods inherited from class org.springframework.test.AbstractTransactionalSpringContextTests

      `endTransaction, isDefaultRollback, onSetUp, onSetUpBeforeTransaction, onSetUpInTransaction, onTearDown, onTearDownAfterTransaction, onTearDownInTransaction, preventTransaction, setDefaultRollback, setTransactionDefinition, setTransactionManager, startNewTransaction`

    - ### Methods inherited from class org.springframework.test.AbstractDependencyInjectionSpringContextTests

      `getAutowireMode, injectDependencies, isDependencyCheck, isPopulateProtectedVariables, prepareTestInstance, setAutowireMode, setDependencyCheck, setPopulateProtectedVariables`

    - ### Methods inherited from class org.springframework.test.AbstractSingleSpringContextTests

      `contextKey, createApplicationContext, createBeanDefinitionReader, customizeBeanFactory, getApplicationContext, getConfigLocations, getConfigPath, getConfigPaths, getLoadCount, loadContext, loadContextLocations, prepareApplicationContext, setUp, tearDown`

    - ### Methods inherited from class org.springframework.test.AbstractSpringContextTests

      `addContext, contextKeyString, getContext, hasCachedContext, isContextKeyEmpty, setDirty`

    - ### Methods inherited from class org.springframework.test.ConditionalTestCase

      `getDisabledTestCount, isDisabledInThisEnvironment, recordDisabled`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_AOP_XML_LOCATION

          public static final String DEFAULT_AOP_XML_LOCATION

      Deprecated.
      Default location of the `aop.xml` file in the class path: "META-INF/aop.xml"
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAspectjJpaTests

          public AbstractAspectjJpaTests()

      Deprecated.

  - ### Method Detail

    - #### customizeResourceOverridingShadowingClassLoader

          protected void customizeResourceOverridingShadowingClassLoader(ClassLoader shadowingClassLoader)

      Deprecated.
      Description copied from class: `AbstractJpaTests`
      Customize the shadowing class loader.
      Overrides:
        `customizeResourceOverridingShadowingClassLoader` in class `AbstractJpaTests`
      Parameters:
        `shadowingClassLoader` - this parameter is actually of type ResourceOverridingShadowingClassLoader, and can safely to be cast to that type. However, the signature must not be of that type as that would cause the present class loader to load that type.

    - #### getActualAopXmlLocation

          protected String getActualAopXmlLocation()

      Deprecated.
      Return the actual location of the `aop.xml` file in the class path. The default is "META-INF/aop.xml".

      Override this method to point to a specific `aop.xml` file within your test suite, allowing for different config files to co-exist within the same class path.